急いでいます! PostgreSQL 8.1.1に脆弱性があるとのことで8.1.2がリリースされました。

最近運用が始まったRed Hat Linuxサーバで8.1.1が稼動していますが、
8.1.2へのバージョンアップの方法を教えて下さい。
PostgreSQL自体はソースからコンパイルしてインストールしました。

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2006/01/11 20:30:50
  • 終了:--

回答(1件)

id:Kumappus No.1

くまっぷす回答回数3784ベストアンサー獲得回数1852006/01/11 21:19:37

ポイント150pt

”PostgreSQL自体はソースからコンパイルしてインストールしました。”とのことですが、これは8.1.1を?ですよね。

一応参考URLに移行手順をあげていたところを提示しますが、8.1.1から8.1.2についてはデータ構造に変更はないので単にpostgresql8.1.2をビルドすればそのまま移行できます(8.1.2のHISTORYにも” A dump/restore is not required for those running 8.1.X. ”とあります。ただし、その後にテキストデータのカラムでREINDEXを行う必要はあるかも、と書いてありますが)。

つまりソースのINSTALLにあるadduser postgres以下を”やらない”だけです。

心配であればURL手順にあるようにバックアップを取っておけばいいでしょう。(バックアップは定期的に取るべきなのでいい機会かも)

http://ml.postgresql.jp/pipermail/pgsql-jp/2005-July/019325.html

[pgsql-jp: 35765] Re: データのアップグレードの方法

id:kamiochiai

「データ構造に変更がない」ということで、安心です。

ありがとうございます。

2006/01/11 22:03:48

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません